consultar();
//Consultar all
function dataTable(){
        let lista= 0;
        $.ajax({
            url: 'back-end/seguimiento.php',
            type: 'GET',
            data:{lista},
            success: function(response){
            let o = JSON.parse(response);
                $('#list_usuarios').dataTable( {
                    order: [[4, 'asc']],
                    retrieve: true,
                    data : o,
                    columns: [
                        {"data" : "vehiculo"}, 
                        {"data" : "nom_conductor"},
                        {"data" : "ruta"},
                        {"data" : "fecha_registro"},
                        {"data" : "proxima"},
                        {"data" : "estado"},
                        {"data" : "btn"}                             
                    ],
                    "language": {
                        url: "lib/js/es.json"
                    }
                });
            
            }
        })
}
function consultar(){
    $(document).ready(function(){
        if ( $.fn.dataTable.isDataTable( '#list_usuarios' ) ) {
            table = $('#list_usuarios').DataTable();
            table.destroy();
            dataTable();
        }else{
            dataTable();
        }
    })
}
//Filtros
function aplicar_filtros(){
    let error=''; var template='';
    let fd = $('#f_desde').val();
    let fh = $('#f_hasta').val();
    if(fd===''){error+="<i class='fas fa-arrow-circle-right '></i> Campo Fecha Desde<br>";}
    if(fh===''){error+="<i class='fas fa-arrow-circle-right '></i> Campo Fecha Hasta<br>";}
    if(error !== ''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
            <strong><i class='fas fa-times-circle'></i> Error! Faltan los sigueinte datos</strong><br>${error}
        </div>`;
        $('#result_filtro').html(template);  
        setTimeout(function(){ $('#alerta_add').fadeOut(); }, 3000);
    }else{
        let url = 'back-end/reporte_seguimiento.php?fd='+fd+'&fh='+fh;
        location.href = url;
        $('#fecha_filtro').modal("hide");
    }
}

//Registras Nueva Guia
function registrar(){
    let error=''; var template='';
    let ubica_ref = $('#ubica_ref').val();
    let tipo_novedad = $('#tipo_novedad').val();
    let obs = $('#obs').val();
    let email = $('#email').val();
    let estado = $('#estado').val();
    
    if(ubica_ref===''){error+="<i class='fas fa-arrow-circle-right '></i> Campo Ubicacion Referencia<br>";}
    if(tipo_novedad===''){error+="<i class='fas fa-arrow-circle-right '></i> Campo Tipo Novedad<br>";}
    if(obs===''){error+="<i class='fas fa-arrow-circle-right '></i> Campo Observaciones Generales<br>";}
    if(email===''){error+="<i class='fas fa-arrow-circle-right '></i> Campo Email Referencia<br>";}
    if(error !== ''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
            <strong><i class='fas fa-times-circle'></i> Error! Faltan los sigueinte datos</strong><br>${error}
        </div>`;
        $('#result').html(template);  
        setTimeout(function(){ $('#alerta_add').fadeOut(); }, 3000);
    }else{
        const postData = {
            ruta: $('#ruta').val(),
            ubica_ref: $('#ubica_ref').val(),
            ubica_gps: $('#ubica_gps').val(),
            novedad: $('#novedad').val(),
            tipo_novedad: $('#tipo_novedad').val(),
            obs: $('#obs').val(),
            email: $('#email').val(),
            estado: $('#estado').val(),
            id_seguimiento: $('#id_seguimiento').val()
        };
        
        $.post('back-end/seguimiento.php', postData, function(response){
            consultar();
            $('#form_registro').trigger('reset');
            $('#result').html(response);
            window.location.hash = '#result';
            setTimeout(function(){ $('#alerta_add').alert('close'); $('#nuevo_registro').modal("hide");}, 3000);
        });
    }


}

function buscar(id){
    $('#id_seguimiento').val(id);
    let id_segui = id;
    $.ajax({
        url: 'back-end/seguimiento.php',
        type: 'GET',
        data: {id_segui},
        success: function(response){
            let o = JSON.parse(response);
            console.log(o);
            $("#ruta").val(o.ruta);        
            $("#email").val(o.correos_confirma);         
        }
    })
}

function abrir_ruta(){
    let error=''; var template='';
    let f_placa = $('#f_placa').val();
    
    if(f_placa===''){error+="<i class='fas fa-arrow-circle-right '></i> Campo Placa<br>";}
    if(error !== ''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
            <strong><i class='fas fa-times-circle'></i> Error! Faltan los sigueinte datos</strong><br>${error}
        </div>`;
        $('#result_ar').html(template);  
        setTimeout(function(){ $('#alerta_add').fadeOut(); }, 3000);
    }else{
        const postData = {
            f_placa: $('#f_placa').val()
        };
        
        $.post('back-end/seguimiento.php', postData, function(response){
            consultar();
            $('#abrir_ruta').trigger('reset');
            $('#result_ar').html(response);
            window.location.hash = '#result_ar';
            setTimeout(function(){ $('#alerta_add').alert('close'); $('#apertura').modal("hide");}, 2000);
        });
    }
}
